## org.gnu.gdk
Class DragContext

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gdk.DragContext

public class DragContext
extends GObject

A DragContext holds information about a drag in process. It is used on both source and destination sides.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`DragContext()` Construct a DragContext.
`DragContext(Handle handle)` Construct a DragContext using native resources.

Method Summary
`protected static int` `gdk_drag_context_get_type()`
`protected static Handle` `gdk_drag_context_new()`
`DragAction` `getAction()` Return the action chosen by the destination.
`protected static int` `getAction(Handle obj)`
`protected static int` `getActions(Handle obj)`
`Window` `getDestination()` Return the destination window.
`protected static Handle` `getDestWindow(Handle obj)`
`protected static boolean` `getIsSource(Handle obj)`
`DragProtocol` `getProtocol()` Return the Drag Protocol
`protected static int` `getProtocol(Handle obj)` BEGINNING OF GENERATED CODE
`Window` `getSource()` Return the source window.
`protected static Handle` `getSourceWindow(Handle obj)`
`DragAction` `getSuggestedAction()` Return the action suggested by the source.
`protected static int` `getSuggestedAction(Handle obj)`
`boolean` `isSource()` Returns true if the context is used on the source side.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DragContext

    public DragContext()

  Construct a DragContext.

### DragContext

    public DragContext(Handle handle)

  Construct a DragContext using native resources. Used internally by java-gnome

Method Detail

### getSource

    public Window getSource()

  Return the source window.

### getDestination

    public Window getDestination()

  Return the destination window.

### getProtocol

    public DragProtocol getProtocol()

  Return the Drag Protocol

### isSource

    public boolean isSource()

  Returns true if the context is used on the source side.

### getSuggestedAction

    public DragAction getSuggestedAction()

  Return the action suggested by the source.

### getAction

    public DragAction getAction()

  Return the action chosen by the destination.

### getProtocol

    protected static final int getProtocol(Handle obj)

  BEGINNING OF GENERATED CODE

### getIsSource

    protected static final boolean getIsSource(Handle obj)

### getSourceWindow

    protected static final Handle getSourceWindow(Handle obj)

### getDestWindow

    protected static final Handle getDestWindow(Handle obj)

### getActions

    protected static final int getActions(Handle obj)

### getSuggestedAction

    protected static final int getSuggestedAction(Handle obj)

### getAction

    protected static final int getAction(Handle obj)

### gdk_drag_context_get_type

    protected static final int gdk_drag_context_get_type()

### gdk_drag_context_new

    protected static final Handle gdk_drag_context_new()